Merge #10773: Shell script cleanups

13a81b19d Add quotes to variable assignment (as requested by @TheBlueMatt) (practicalswift)
683b9d280 Fix valid path output (practicalswift)
193c2fb4c Use bash instead of POSIX sh. POSIX sh does not support arrays. (practicalswift)
80f5f28d3 Fix incorrect quoting of quotes (the previous quotes had no effect beyond unquoting) (practicalswift)
564a172df Add required space to [[ -n "$1" ]] (previously [[ -n"$1" ]]) (practicalswift)
1e44ae0e1 Add error handling: exit if cd fails (practicalswift)
b9e79ab41 Remove "\n" from echo argument. echo does not support escape sequences. (practicalswift)
f6b3382fa Remove unused variables (practicalswift)

Pull request description:

  Shell script cleanups:
  * Add required space to `[ -n ]`.
  * Avoid quote within quote.
  * Exit if `cd` fails.
  * Remove `\n` which is not handled by `echo`.
  * ~~Remove redundant `$` in arithmetic variable expression.~~
  * ~~Use `$(command)` instead of legacy form `` `command` ``.~~
  * Arrays are not supported in POSIX `sh`. Use `bash` when arrays are used.
  * ~~`[ foo -a bar ]` is not well defined, use `[ foo ] && [ bar ]` instead.~~
  * ~~`[ foo -o bar ]` is not well defined, use `[ foo ] || [ bar ]` instead.~~

Tree-SHA512: 80f6ded58bce625b15b4da30d69d2714c633e184e62b21ed67d2c58e2ebaa08b4147593324012694d02bf4f1f252844cdff2fd1cf5e817ddb07e2777db7a6390
This commit is contained in:
Pieter Wuille 2017-12-04 13:18:45 -08:00 committed by Pasta
parent a98db86ada
commit a7a3ecc354
6 changed files with 8 additions and 7 deletions

View File

@ -1,4 +1,4 @@
#!/bin/sh #!/bin/bash
TOPDIR=${TOPDIR:-$(git rev-parse --show-toplevel)} TOPDIR=${TOPDIR:-$(git rev-parse --show-toplevel)}
SRCDIR=${SRCDIR:-$TOPDIR/src} SRCDIR=${SRCDIR:-$TOPDIR/src}

View File

@ -40,7 +40,7 @@ grep CodeResources < "${TEMPLIST}" | while read i; do
RESOURCE="${TEMPDIR}/${OUTROOT}/${TARGETFILE}" RESOURCE="${TEMPDIR}/${OUTROOT}/${TARGETFILE}"
DIRNAME="`dirname "${RESOURCE}"`" DIRNAME="`dirname "${RESOURCE}"`"
mkdir -p "${DIRNAME}" mkdir -p "${DIRNAME}"
echo "Adding resource for: "${TARGETFILE}"" echo "Adding resource for: \"${TARGETFILE}\""
cp "${i}" "${RESOURCE}" cp "${i}" "${RESOURCE}"
done done

View File

@ -4,7 +4,7 @@
# file COPYING or http://www.opensource.org/licenses/mit-license.php. # file COPYING or http://www.opensource.org/licenses/mit-license.php.
if [ -d "$1" ]; then if [ -d "$1" ]; then
cd "$1" cd "$1" || exit 1
else else
echo "Usage: $0 <datadir>" >&2 echo "Usage: $0 <datadir>" >&2
echo "Removes obsolete Dash database files" >&2 echo "Removes obsolete Dash database files" >&2

View File

@ -35,10 +35,11 @@ fi
NO_SHA1=1 NO_SHA1=1
PREV_COMMIT="" PREV_COMMIT=""
INITIAL_COMMIT="${CURRENT_COMMIT}"
while true; do while true; do
if [ "$CURRENT_COMMIT" = $VERIFIED_ROOT ]; then if [ "$CURRENT_COMMIT" = $VERIFIED_ROOT ]; then
echo "There is a valid path from "$CURRENT_COMMIT" to $VERIFIED_ROOT where all commits are signed!" echo "There is a valid path from \"$INITIAL_COMMIT\" to $VERIFIED_ROOT where all commits are signed!"
exit 0 exit 0
fi fi

View File

@ -33,7 +33,7 @@ if [ ! -d "$WORKINGDIR" ]; then
mkdir "$WORKINGDIR" mkdir "$WORKINGDIR"
fi fi
cd "$WORKINGDIR" cd "$WORKINGDIR" || exit 1
#test if a version number has been passed as an argument #test if a version number has been passed as an argument
if [ -n "$1" ]; then if [ -n "$1" ]; then
@ -89,7 +89,7 @@ WGETOUT=$(wget -N "$HOST1$BASEDIR$SIGNATUREFILENAME" 2>&1)
#and then see if wget completed successfully #and then see if wget completed successfully
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "Error: couldn't fetch signature file. Have you specified the version number in the following format?" echo "Error: couldn't fetch signature file. Have you specified the version number in the following format?"
echo "[$VERSIONPREFIX]<version>-[$RCVERSIONSTRING[0-9]] (example: "$VERSIONPREFIX"0.10.4-"$RCVERSIONSTRING"1)" echo "[$VERSIONPREFIX]<version>-[$RCVERSIONSTRING[0-9]] (example: ${VERSIONPREFIX}0.10.4-${RCVERSIONSTRING}1)"
echo "wget output:" echo "wget output:"
echo "$WGETOUT"|sed 's/^/\t/g' echo "$WGETOUT"|sed 's/^/\t/g'
exit 2 exit 2

View File

@ -4,7 +4,7 @@
# file COPYING or http://www.opensource.org/licenses/mit-license.php. # file COPYING or http://www.opensource.org/licenses/mit-license.php.
if [ $# -gt 1 ]; then if [ $# -gt 1 ]; then
cd "$2" cd "$2" || exit 1
fi fi
if [ $# -gt 0 ]; then if [ $# -gt 0 ]; then
FILE="$1" FILE="$1"